
/***************************************************************************
 *   This file is part of Aspect, a simple PEC tool.                       *
 *                                                                         *
 *   Copyright (C) 2007 by Wolfgang Hoffmann <woho@woho.de>                *
 *                                                                         *
 *   This program is free software, licensed under the GPL v2.             *
 *   See the file COPYING for more details.                                *
 ***************************************************************************/


#ifndef ASPECT_DATA_H
#define ASPECT_DATA_H


#include <QList>
#include <QString>
#include <QTime>


class PeRawSample
    {
public:
    QTime m_oTime;
    double m_dfWorm;
    double m_dfRa;
    double m_dfDec;
    };


class IPeRawData
    {
public:
    virtual ~IPeRawData() {};
    virtual void clearData() = 0;
    virtual bool probePeFile(const QString &qsFileName) const = 0;
    virtual bool loadPeFile(const QString &qsFileName) = 0;
    virtual QList<PeRawSample> samples() const = 0;
    };


class PePureSample
    {
public:
    double m_dfWorm;
    double m_dfPe;
    };


class Period
    {
public:
    int m_nRowBeg;
    int m_nRowEnd;
    double m_dfPeMin;
    double m_dfPeMax;
    };


#endif // ASPECT_DATA_H

